import { createApp } from "vue";
import { createPinia } from "pinia";

import App from "./App.vue";
import router from "./router";
import NProgress from "nprogress";
import "../node_modules/nprogress/nprogress.css";

import { http } from "./serverCom";
import "./main.css";

NProgress.configure({ showSpinner: false });

const app = createApp(App);

app.use(createPinia());
app.use(router);
app.config.globalProperties.$http = http;
app.config.globalProperties.$progress = NProgress;

app.mount("#app");
